# lazilyAsync

Defers creation and materialization of a `CompletionStage` until there is demand.

@ref[Source operators](../index.md#source-operators)

## Signature

## Description

Defers creation and materialization of a `CompletionStage` until there is demand.


@@@div { .callout }

**emits** the future completes

**completes** after the future has completed

@@@

